org.apache.ignite.internal.processors.platform

## Class PlatformJavaObjectFactoryProxy

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformJavaObjectFactoryProxy

All Implemented Interfaces:
  Externalizable, Serializable, Binarylizable

    public class PlatformJavaObjectFactoryProxy
    extends Object
    implements Externalizable, Binarylizable

Wrapper for Java object factory.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `TYP_DEFAULT` Default factory.
`static int` `TYP_USER` User-defined type.

### Constructor Summary

Constructors
Constructor and Description
`PlatformJavaObjectFactoryProxy()` Default constructor.
`PlatformJavaObjectFactoryProxy(int factoryTyp, @Nullable String clsName, @Nullable Object payload, @Nullable Map<String,Object> props)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PlatformJavaObjectFactory` `factory(GridKernalContext ctx)` Get factory instance.
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYP_USER

    public static final int TYP_USER

User-defined type.

See Also:
  Constant Field Values

#### TYP_DEFAULT

    public static final int TYP_DEFAULT

Default factory.

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformJavaObjectFactoryProxy

    public PlatformJavaObjectFactoryProxy()

Default constructor.

#### PlatformJavaObjectFactoryProxy

    public PlatformJavaObjectFactoryProxy(int factoryTyp,
                                          @Nullable
                                          @Nullable String clsName,
                                          @Nullable
                                          @Nullable Object payload,
                                          @Nullable
                                          @Nullable Map<String,Object> props)

Constructor.

Parameters:
  `factoryTyp` - Factory type.
  `clsName` - Class name.
  `payload` - Payload.
  `props` - Properties.

### Method Detail

#### factory

    public PlatformJavaObjectFactory factory(GridKernalContext ctx)

Get factory instance.

Parameters:
  `ctx` - Kernal context for injections.
Returns:
  Factory instance.

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020